Gérer l'identité de l'entreprise

Vous pouvez utiliser les attributs relatifs à l'identité de l'entreprise dans Merchant Center pour informer les clients de votre identité. Pour en savoir plus, consultez Ajouter des attributs sur l'identité de l'entreprise dans Merchant Center.

Ce guide vous explique comment récupérer et modifier l'identité de votre entreprise à l'aide des éléments suivants :

Récupérer l'identité de l'entreprise

Pour récupérer l'identité de l'entreprise associée à votre compte, utilisez la méthode getBusinessIdentity.

Voici un exemple de requête :

https://merchantapi.googleapis.com/accounts/v1/accounts/{ACCOUNT_ID}/businessIdentity

Voici un exemple de réponse à un appel réussi :

{
  "name": "accounts/{ACCOUNT_ID}/businessIdentity",
  "blackOwned": {
    "identityDeclaration": "SELF_IDENTIFIES_AS"
  }
}

Voici un exemple que vous pouvez utiliser pour obtenir l'identité commerciale d'un compte donné à l'aide des bibliothèques clientes :

Java

import com.google.api.gax.core.FixedCredentialsProvider;
import com.google.auth.oauth2.GoogleCredentials;
import com.google.shopping.merchant.accounts.v1.BusinessIdentity;
import com.google.shopping.merchant.accounts.v1.BusinessIdentityName;
import com.google.shopping.merchant.accounts.v1.BusinessIdentityServiceClient;
import com.google.shopping.merchant.accounts.v1.BusinessIdentityServiceSettings;
import com.google.shopping.merchant.accounts.v1.GetBusinessIdentityRequest;
import shopping.merchant.samples.utils.Authenticator;
import shopping.merchant.samples.utils.Config;

/** This class demonstrates how to get the business identity of a Merchant Center account. */
public class GetBusinessIdentitySample {

  public static void getBusinessIdentity(Config config) throws Exception {

    // Obtains OAuth token based on the user's configuration.
    GoogleCredentials credential = new Authenticator().authenticate();

    // Creates service settings using the credentials retrieved above.
    BusinessIdentityServiceSettings businessIdentityServiceSettings =
        BusinessIdentityServiceSettings.newBuilder()
            .setCredentialsProvider(FixedCredentialsProvider.create(credential))
            .build();

    // Creates BusinessIdentity name to identify the BusinessIdentity.
    String name =
        BusinessIdentityName.newBuilder()
            .setAccount(config.getAccountId().toString())
            .build()
            .toString();

    // Calls the API and catches and prints any network failures/errors.
    try (BusinessIdentityServiceClient businessIdentityServiceClient =
        BusinessIdentityServiceClient.create(businessIdentityServiceSettings)) {

      // The name has the format: accounts/{account}/businessIdentity
      GetBusinessIdentityRequest request =
          GetBusinessIdentityRequest.newBuilder().setName(name).build();

      System.out.println("Sending get BusinessIdentity request:");
      BusinessIdentity response = businessIdentityServiceClient.getBusinessIdentity(request);

      System.out.println("Retrieved BusinessIdentity below");
      System.out.println(response);
    } catch (Exception e) {
      System.out.println(e);
    }
  }

  public static void main(String[] args) throws Exception {
    Config config = Config.load();

    getBusinessIdentity(config);
  }
}

PHP

use Google\ApiCore\ApiException;
use Google\Shopping\Merchant\Accounts\V1\Client\BusinessIdentityServiceClient;
use Google\Shopping\Merchant\Accounts\V1\GetBusinessIdentityRequest;

/**
 * This class demonstrates how to get the business identity of a Merchant Center account.
 */
class GetBusinessIdentitySample
{
    /**
     * Retrieves the business identity for the given Merchant Center account.
     *
     * @param array $config The configuration data containing the account ID.
     * @return void
     */
    public static function getBusinessIdentity($config)
    {
        // Gets the OAuth credentials to make the request.
        $credentials = Authentication::useServiceAccountOrTokenFile();

        // Creates options config containing credentials for the client to use.
        $options = ['credentials' => $credentials];

        // Creates a client.
        $businessIdentityServiceClient = new BusinessIdentityServiceClient($options);

        // Creates BusinessIdentity name to identify the BusinessIdentity.
        // The name has the format: accounts/{account}/businessIdentity
        $name = "accounts/" . $config['accountId'] . "/businessIdentity";

        // Calls the API and catches and prints any network failures/errors.
        try {
            $request = (new GetBusinessIdentityRequest())
                ->setName($name);

            print "Sending get BusinessIdentity request:\n";
            $response = $businessIdentityServiceClient->getBusinessIdentity($request);
            print "Retrieved BusinessIdentity below\n";
            print_r($response);
        } catch (ApiException $e) {
            print $e->getMessage();
        }
    }

    /**
     * Helper to execute the sample.
     *
     * @return void
     */
    public function callSample(): void
    {
        $config = Config::generateConfig();
        self::getBusinessIdentity($config);
    }
}

// Run the script
$sample = new GetBusinessIdentitySample();
$sample->callSample();

Python

from examples.authentication import configuration
from examples.authentication import generate_user_credentials
from google.shopping.merchant_accounts_v1 import BusinessIdentityServiceClient
from google.shopping.merchant_accounts_v1 import GetBusinessIdentityRequest

_ACCOUNT = configuration.Configuration().read_merchant_info()


def get_business_identity():
  """Gets the business identity of a Merchant Center account."""

  # Gets OAuth Credentials.
  credentials = generate_user_credentials.main()

  # Creates a client.
  client = BusinessIdentityServiceClient(credentials=credentials)

  # Creates BusinessIdentity name to identify the BusinessIdentity.
  name = "accounts/" + _ACCOUNT + "/businessIdentity"

  # Creates the request.
  request = GetBusinessIdentityRequest(name=name)

  # Makes the request and catches and prints any error messages.
  try:
    response = client.get_business_identity(request=request)
    print("Retrieved BusinessIdentity below")
    print(response)
  except RuntimeError as e:
    print(e)


if __name__ == "__main__":
  get_business_identity()

Modifier l'identité de votre établissement

Pour mettre à jour l'identité professionnelle de votre compte, utilisez la méthode updateBusinessIdentity.

Voici un exemple de requête :

PATCH https://merchantapi.googleapis.com/accounts/v1/accounts/{ACCOUNT_ID}/businessIdentity?updateMask=latinoOwned%2CveteranOwned

{
  "latinoOwned": {
    "identityDeclaration": "SELF_IDENTIFIES_AS"
  },
  "veteranOwned": {
    "identityDeclaration": "DOES_NOT_SELF_IDENTIFY_AS"
  }
}

Voici un exemple de réponse à un appel réussi :

{
  "name": "accounts/{ACCOUNT_ID}/businessIdentity",
  "blackOwned": {
    "identityDeclaration": "SELF_IDENTIFIES_AS"
  },
  "veteranOwned": {
    "identityDeclaration": "DOES_NOT_SELF_IDENTIFY_AS"
  },
  "latinoOwned": {
    "identityDeclaration": "SELF_IDENTIFIES_AS"
  }
}

Voici un exemple que vous pouvez utiliser pour mettre à jour l'identité de l'entreprise pour un compte donné à l'aide des bibliothèques clientes :

Java

import com.google.api.gax.core.FixedCredentialsProvider;
import com.google.auth.oauth2.GoogleCredentials;
import com.google.protobuf.FieldMask;
import com.google.shopping.merchant.accounts.v1.BusinessIdentity;
import com.google.shopping.merchant.accounts.v1.BusinessIdentityName;
import com.google.shopping.merchant.accounts.v1.BusinessIdentityServiceClient;
import com.google.shopping.merchant.accounts.v1.BusinessIdentityServiceSettings;
import com.google.shopping.merchant.accounts.v1.UpdateBusinessIdentityRequest;
import shopping.merchant.samples.utils.Authenticator;
import shopping.merchant.samples.utils.Config;

/** This class demonstrates how to update a business identity. */
public class UpdateBusinessIdentitySample {

  public static void updateBusinessIdentity(Config config) throws Exception {

    GoogleCredentials credential = new Authenticator().authenticate();

    BusinessIdentityServiceSettings businessIdentityServiceSettings =
        BusinessIdentityServiceSettings.newBuilder()
            .setCredentialsProvider(FixedCredentialsProvider.create(credential))
            .build();

    // Creates BusinessIdentity name to identify BusinessIdentity.
    String name =
        BusinessIdentityName.newBuilder()
            .setAccount(config.getAccountId().toString())
            .build()
            .toString();

    // Create a BusinessIdentity with the updated fields.
    BusinessIdentity businessIdentity =
        BusinessIdentity.newBuilder()
            .setName(name)
            .setSmallBusiness(
                BusinessIdentity.IdentityAttribute.newBuilder()
                    .setIdentityDeclaration(
                        BusinessIdentity.IdentityAttribute.IdentityDeclaration.SELF_IDENTIFIES_AS)
                    .build())
            .build();

    FieldMask fieldMask = FieldMask.newBuilder().addPaths("small_business").build();

    try (BusinessIdentityServiceClient businessIdentityServiceClient =
        BusinessIdentityServiceClient.create(businessIdentityServiceSettings)) {

      UpdateBusinessIdentityRequest request =
          UpdateBusinessIdentityRequest.newBuilder()
              .setBusinessIdentity(businessIdentity)
              .setUpdateMask(fieldMask)
              .build();

      System.out.println("Sending Update BusinessIdentity request");
      BusinessIdentity response = businessIdentityServiceClient.updateBusinessIdentity(request);
      System.out.println("Updated BusinessIdentity below");
      System.out.println(response);
    } catch (Exception e) {
      System.out.println(e);
    }
  }

  public static void main(String[] args) throws Exception {
    Config config = Config.load();

    updateBusinessIdentity(config);
  }
}

PHP

use Google\ApiCore\ApiException;
use Google\Protobuf\FieldMask;
use Google\Shopping\Merchant\Accounts\V1\BusinessIdentity;
use Google\Shopping\Merchant\Accounts\V1\Client\BusinessIdentityServiceClient;
use Google\Shopping\Merchant\Accounts\V1\UpdateBusinessIdentityRequest;

/**
 * This class demonstrates how to update a business identity.
 */
class UpdateBusinessIdentitySample
{

    /**
     * Updates the business identity for the given Merchant Center account.
     *
     * @param array $config The configuration data containing the account ID.
     * @return void
     */
    public static function updateBusinessIdentity($config)
    {
        // Gets the OAuth credentials to make the request.
        $credentials = Authentication::useServiceAccountOrTokenFile();

        // Creates options config containing credentials for the client to use.
        $options = ['credentials' => $credentials];

        // Creates a client.
        $businessIdentityServiceClient = new BusinessIdentityServiceClient($options);

        // Creates BusinessIdentity name to identify the BusinessIdentity.
        // The name has the format: accounts/{account}/businessIdentity
        $name = "accounts/" . $config['accountId'] . "/businessIdentity";

        // Create a BusinessIdentity with the updated fields.
        $businessIdentity = (new BusinessIdentity())
            ->setName($name)
            ->setSmallBusiness(
                (new BusinessIdentity\IdentityAttribute())
                    ->setIdentityDeclaration(
                        BusinessIdentity\IdentityAttribute\IdentityDeclaration::SELF_IDENTIFIES_AS
                    )
            );

        $fieldMask = (new FieldMask())
            ->setPaths(['small_business']);

        try {
            $request = (new UpdateBusinessIdentityRequest())
                ->setBusinessIdentity($businessIdentity)
                ->setUpdateMask($fieldMask);

            print "Sending Update BusinessIdentity request\n";
            $response = $businessIdentityServiceClient->updateBusinessIdentity($request);
            print "Updated BusinessIdentity below\n";
            print_r($response);
        } catch (ApiException $e) {
            print $e->getMessage();
        }
    }

    /**
     * Helper to execute the sample.
     *
     * @return void
     */
    public function callSample(): void
    {
        $config = Config::generateConfig();
        self::updateBusinessIdentity($config);
    }
}

// Run the script
$sample = new UpdateBusinessIdentitySample();
$sample->callSample();

Python

from examples.authentication import configuration
from examples.authentication import generate_user_credentials
from google.protobuf import field_mask_pb2
from google.shopping.merchant_accounts_v1 import BusinessIdentity
from google.shopping.merchant_accounts_v1 import BusinessIdentityServiceClient
from google.shopping.merchant_accounts_v1 import UpdateBusinessIdentityRequest

_ACCOUNT = configuration.Configuration().read_merchant_info()


def update_business_identity():
  """Updates a business identity of a Merchant Center account."""

  credentials = generate_user_credentials.main()

  client = BusinessIdentityServiceClient(credentials=credentials)

  # Creates BusinessIdentity name to identify BusinessIdentity.
  name = "accounts/" + _ACCOUNT + "/businessIdentity"

  # Create a BusinessIdentity with the updated fields.
  business_identity = BusinessIdentity(
      name=name,
      small_business=BusinessIdentity.IdentityAttribute(
          identity_declaration=BusinessIdentity.IdentityAttribute.IdentityDeclaration.SELF_IDENTIFIES_AS,
      ),
  )

  field_mask = field_mask_pb2.FieldMask(paths=["small_business"])

  request = UpdateBusinessIdentityRequest(
      business_identity=business_identity, update_mask=field_mask
  )

  try:
    response = client.update_business_identity(request=request)
    print("Updated BusinessIdentity below")
    print(response)
  except RuntimeError as e:
    print(e)


if __name__ == "__main__":
  update_business_identity()